CREATE TABLE `lowcode_logic_attribute` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `project_id` bigint(20) NOT NULL COMMENT '项目id',
  `logic_id` bigint(20) NOT NULL COMMENT '逻辑模型id',
  `attr_code` varchar(64) NOT NULL COMMENT '编码',
  `attr_remark` varchar(64) DEFAULT NULL COMMENT '备注',
  `attr_type` varchar(64) DEFAULT NULL COMMENT '类型',
  `describe` varchar(255) DEFAULT NULL COMMENT '描述',
  `create_user` bigint(20) DEFAULT NULL COMMENT '创建人',
  `gmt_create` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '创建时间',
  `modified_user` bigint(20) DEFAULT NULL COMMENT '修改用户',
  `gmt_modified` datetime DEFAULT NULL COMMENT '修改时间',
  `valid` tinyint(4) DEFAULT 0 COMMENT '状态:-1 删除, 0 正常',
  PRIMARY KEY (`id`),
  KEY `idx_logicId_code` (`logic_id`,`attr_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据模型-逻辑模型属性表';