CREATE TABLE LOWCODE_LOGIC_BASE (
  ID BIGINT PRIMARY KEY,
  PROJECT_ID BIGINT NOT NULL,
  LOGIC_NAME VARCHAR2(32) NOT NULL,
  LOGIC_CODE VARCHAR2(64) NOT NULL,
  LOGIC_PINGYIN VARCHAR2(255) NOT NULL,
  DESCRIBE VARCHAR2(255) DEFAULT NULL,
  PHYSICAL_ID BIGINT DEFAULT NULL,
  PHYSICAL_TABLE VARCHAR2(128) NOT NULL,
  CONVERT_PTL_MODULE_ID BIGINT DEFAULT NULL,
  CONVERT_PTL_STATE INT DEFAULT '0',
  CONVERT_LTP_MODULE_ID BIGINT DEFAULT NULL,
  CONVERT_LTP_STATE INT DEFAULT '0',
  CREATE_USER BIGINT DEFAULT NULL,
  GMT_CREATE TIMESTAMP DEFAULT NULL,
  MODIFIED_USER BIGINT DEFAULT NULL,
  GMT_MODIFIED TIMESTAMP DEFAULT NULL,
  VALID INT DEFAULT 0
);
create index idx_projectId_code on LOWCODE_LOGIC_BASE(PROJECT_ID, LOGIC_CODE)